package com.example.demo.sujiajie.dto.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 记录行程操作请求DTO
 * 用于接收前端记录行程操作的请求参数
 */
@Data
public class RecordOperationRequest {

    @NotNull(message = "行程ID不能为空")
    private Long planId;

    @NotBlank(message = "操作用户ID不能为空")
    private String opUserId;

    @NotNull(message = "操作类型不能为空")
    private Integer opType;

    @NotBlank(message = "操作描述不能为空")
    private String opDesc;
}
