package com.example.demo.sujiajie.dto.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * 行程响应DTO
 * 用于返回行程信息给前端
 */
@Data
public class TravelPlanResponse {

    private Long planId;

    private String userId;

    private String planName;

    private Integer totalDays;

    private BigDecimal totalBudget;

    private String preference;

    private Integer status;

    private Date createTime;

    private Date updateTime;

    private Set<TravelPlanDetailResponse> details = new HashSet<>();
}
