package com.example.demo.sujiajie.common.exception;

/**
 * 行程规划自定义异常类
 * 继承自RuntimeException，用于业务逻辑异常处理
 */
public class TravelPlanException extends RuntimeException {

    private int code;

    public TravelPlanException(int code, String message) {
        super(message);
        this.code = code;
    }

    public TravelPlanException(String message) {
        super(message);
        this.code = 500;
    }

    public int getCode() {
        return code;
    }
}
